%define name xtraceroute
%define version 0.8.14
%define prefix %{_prefix}

Summary: a graphical, OpenGL based, traceroute
Summary(wa): On grafike traceroute, avou on hynaedje OpenGL 
Name: %{name}
Version: %{version}
Release: 12mdk
Copyright: GPL
Group: Monitoring
Source0: http://www.dtek.chalmers.se/~d3august/xt/dl/%{name}-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}.xpm.bz2
Source3: %{name}-32.xpm.bz2
Icon: xtraceroute-logo.xpm
URL: http://www.dtek.chalmers.se/~d3august/xt/
BuildRoot: /tmp/xtraceroute-root
BuildRequires: gtkglarea-devel
Requires: traceroute

%description
Xtraceroute is a graphical traceroute utility that shows the path your IP
packets travel on a 3 dimensional rendered globe. Be sure to download the NDG
data files mentioned in the INSTALL document too.

%description -l wa
Xtraceroute est ene usteye po vey grafikmint les tchmins ki shvt les pakets
IP tot av l' daegn, k' on pout voere come ene bole  3D rinduwe avou OpenGL.
Prindoz eto les fitchs di donneyes di NDG k' on  djze dins li fitch
INSTALL.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/pixmaps

make prefix=$RPM_BUILD_ROOT%{prefix} install

install xtraceroute.png $RPM_BUILD_ROOT%{prefix}/share/pixmaps
touch $RPM_BUILD_ROOT%{prefix}/share/xtraceroute/hosts.cache
touch $RPM_BUILD_ROOT%{prefix}/share/xtraceroute/site_hosts.cache
touch $RPM_BUILD_ROOT%{prefix}/share/xtraceroute/site_networks.cache

# menu
/usr/bin/install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
/usr/bin/install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/

# icon
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/mini
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{prefix}/share/icons/%{name}.xpm


%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{prefix}/share/locale/*/LC_MESSAGES/xtraceroute.mo
%{prefix}/bin/xtraceroute
%{prefix}/share/xtraceroute
%{prefix}/share/pixmaps/xtraceroute.png
%{prefix}/man/man1/xtraceroute.1.bz2
%{prefix}/lib/menu/%{name}
%{prefix}/share/icons/%{name}.xpm
%{prefix}/share/icons/mini/%{name}.xpm


%changelog
* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-12mdk
- removed gnome menu entry
- added 32x32 icon
- cleanup of specfile
- added requirement on `traceroute', how could we forget it?

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-11mdk
- added icon

* Sun Apr  2 2000 Pixel <pixel@mandrakesoft.com> 0.8.14-10mdk
- rebuild for new libgtkgl

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.14-9mdk
- menu entry
- new groups

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- BuildRequires gtkglarea.
- Use %|configure.

* Mon Jan 03 2000 John Buswell <johnb@mandrakesoft.com>
- Clean source tree
- Touches site_hosts.cache and site_networks.cache (to quiet them)
- spec file fixes new OpenGL naming of libs (find/remove of Mesa)
- removes illegal instruction error from K6/K6-2/K6-3 processors

* Fri Dec 31 1999 Yoann Vandoorselaere <yoann@mandrakesoft.com>
- Removed config.cache from tar archive...
- Make it quiet about hosts.cache / networks.cache
	( touch them ). 

* Wed Dec 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild linking against Mesa 3.1cvs (uses OpenGL naming of libs instead
  of libMesa*.so stuff)

* Mon Nov 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environment

* Wed Feb 10 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- First try at an RPM

